Agora RTC Objective-C API Reference Refactor

Public Member Functions
IAgoraParameter Class Referenceabstract

Inherits RefCountInterface.

## Public Member Functions
virtual void | release ()=0
virtual int | setBool (const char *key, bool value)=0
virtual int | setInt (const char *key, int value)=0
virtual int | setUInt (const char *key, unsigned int value)=0
virtual int | setNumber (const char *key, double value)=0
virtual int | setString (const char *key, const char *value)=0
virtual int | setObject (const char *key, const char *value)=0
virtual int | setArray (const char *key, const char *value)=0
virtual int | getBool (const char *key, bool &value)=0
virtual int | getInt (const char *key, int &value)=0
virtual int | getUInt (const char *key, unsigned int &value)=0
virtual int | getNumber (const char *key, double &value)=0
virtual int | getString (const char *key, agora::util::AString &value)=0
virtual int | getObject (const char *key, agora::util::AString &value)=0
virtual int | getArray (const char *key, const char *args, agora::util::AString &value)=0
virtual int | setParameters (const char *parameters)=0

## Constructor & Destructor Documentation

## ◆ ~IAgoraParameter()

virtual ~IAgoraParameter | ( |  | ) |
| inline protected virtual

## Member Function Documentation

## ◆ release()

virtual void release | ( |  | ) |
| pure virtual

release the resource

## ◆ setBool()

virtual int setBool | ( | const char * | key,
|  | bool | value
| ) |  |
| pure virtual

set bool value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setInt()

virtual int setInt | ( | const char * | key,
|  | int | value
| ) |  |
| pure virtual

set int value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setUInt()

virtual int setUInt | ( | const char * | key,
|  | unsigned int | value
| ) |  |
| pure virtual

set unsigned int value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setNumber()

virtual int setNumber | ( | const char * | key,
|  | double | value
| ) |  |
| pure virtual

set double value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setString()

virtual int setString | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

set string value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setObject()

virtual int setObject | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

set object value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setArray()

virtual int setArray | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

set array value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ getBool()

virtual int getBool | ( | const char * | key,
|  | bool & | value
| ) |  |
| pure virtual

get bool value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getInt()

virtual int getInt | ( | const char * | key,
|  | int & | value
| ) |  |
| pure virtual

get int value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getUInt()

virtual int getUInt | ( | const char * | key,
|  | unsigned int & | value
| ) |  |
| pure virtual

get unsigned int value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getNumber()

virtual int getNumber | ( | const char * | key,
|  | double & | value
| ) |  |
| pure virtual

get double value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getString()

virtual int getString | ( | const char * | key,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

get string value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getObject()

virtual int getObject | ( | const char * | key,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

get a child object value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getArray()

virtual int getArray | ( | const char * | key,
|  | const char * | args,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

get array value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ setParameters()

virtual int setParameters | ( | const char * | parameters | ) |
| pure virtual

Provides the technical preview functionalities or special customizations by configuring the SDK with JSON options.

Contact `technical support` to get the JSON configuration method.

Parameters

  parameters | Pointer to the set parameters in a JSON string.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ convertPath()

virtual int convertPath | ( | const char * | filePath,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

## ◆ AddRef()

virtual void AddRef | ( |  | ) | const
| pure virtual inherited

## ◆ Release()

virtual RefCountReleaseStatus Release | ( |  | ) | const
| pure virtual inherited

## ◆ HasOneRef()

virtual bool HasOneRef | ( |  | ) | const
| pure virtual inherited